Jack2: Jack::AudioInterface Class Reference

Jack2 1.9.12

Public Member Functions | Public Attributes | List of all members
Jack::AudioInterface Class Reference

`#include <JackAlsaAdapter.h>`

Inheritance diagram for Jack::AudioInterface:

## Public Member Functions
const char * | cardName ()
int | frequency ()
int | buffering ()
jack_default_audio_sample_t ** | inputSoftChannels ()
jack_default_audio_sample_t ** | outputSoftChannels ()
| AudioInterface (const AudioParam &ap=AudioParam())
| AudioInterface (jack_nframes_t buffer_size, jack_nframes_t sample_rate)
int | open ()
int | close ()
int | setAudioParams (snd_pcm_t *stream, snd_pcm_hw_params_t *params)
ssize_t | interleavedBufferSize (snd_pcm_hw_params_t *params)
ssize_t | noninterleavedBufferSize (snd_pcm_hw_params_t *params)
int | read ()
int | write ()
int | shortinfo ()
int | longinfo ()
void | printCardInfo (snd_ctl_card_info_t *ci)
void | printHWParams (snd_pcm_hw_params_t *params)
Public Member Functions inherited from Jack::AudioParam
| AudioParam (jack_nframes_t buffer_size, jack_nframes_t sample_rate)
AudioParam & | cardName (const char *n)
AudioParam & | frequency (int f)
AudioParam & | buffering (int fpb)
void | setInputs (int inputs)
AudioParam & | inputs (int n)
void | setOutputs (int outputs)
AudioParam & | outputs (int n)

## Public Attributes
snd_pcm_t * | fOutputDevice
snd_pcm_t * | fInputDevice
snd_pcm_hw_params_t * | fInputParams
snd_pcm_hw_params_t * | fOutputParams
snd_pcm_format_t | fSampleFormat
snd_pcm_access_t | fSampleAccess
const char * | fCaptureName
const char * | fPlaybackName
unsigned int | fCardInputs
unsigned int | fCardOutputs
unsigned int | fPeriod
void * | fInputCardBuffer
void * | fOutputCardBuffer
void * | fInputCardChannels [256]
void * | fOutputCardChannels [256]
jack_default_audio_sample_t * | fInputSoftChannels [256]
jack_default_audio_sample_t * | fOutputSoftChannels [256]
Public Attributes inherited from Jack::AudioParam
const char * | fCardName
unsigned int | fFrequency
int | fBuffering
unsigned int | fSoftInputs
unsigned int | fSoftOutputs

## Detailed Description

An ALSA audio interface

Definition at line 119 of file JackAlsaAdapter.h.

## Member Function Documentation

## ◆ open()

int Jack::AudioInterface::open | ( |  | ) |
| inline

Open the audio interface

Definition at line 222 of file JackAlsaAdapter.h.

## ◆ read()

int Jack::AudioInterface::read | ( |  | ) |
| inline

Read audio samples from the audio card. Convert samples to floats and take care of interleaved buffers

Definition at line 367 of file JackAlsaAdapter.h.

## ◆ write()

int Jack::AudioInterface::write | ( |  | ) |
| inline

write the output soft channels to the audio card. Convert sample format and interleaves buffers when needed

Definition at line 434 of file JackAlsaAdapter.h.

## ◆ shortinfo()

int Jack::AudioInterface::shortinfo | ( |  | ) |
| inline

print short information on the audio device

Definition at line 519 of file JackAlsaAdapter.h.

## ◆ longinfo()

int Jack::AudioInterface::longinfo | ( |  | ) |
| inline

print more detailled information on the audio device

Definition at line 538 of file JackAlsaAdapter.h.

The documentation for this class was generated from the following file:

- JackAlsaAdapter.h